/// class PD.Web.UI.Controls.GridIndexColumn
/// using PD.Web.UI.Controls.GridColumn

PD.Web.UI.Controls.GridIndexColumn =
PD.Web.UI.Controls.GridColumn.extend({

    //===================================
    // CONSTRUCTOR
    //===================================

    init: function (options) {

        this._super($.extend({
            width: 40,
            title: "&nbsp;",
            template: $.proxy(this.template, this),
            attributes: {
                style: "padding:4px 4px 0 4px;text-overflow:clip;font-weight:bold;text-align:right;border-left-width:0;background-color:var(--visiv-theme-base-3-back-color);color:var(--visiv-theme-base-3-border-color);border-color:var(--visiv-theme-base-3-border-color);"
            }
        }, options));

    },

    //===================================
    // PUBLIC METHODS
    //===================================

    template: function (data) {

        var result = "";

        return "1.";

    }

});